kdelibs4 vs kdelibs4c2

Sezione dedicata alle problematiche sull'uso dei tool di installazione e gestione di pacchetti, in una distribuzione Debian-based.

kdelibs4 vs kdelibs4c2

Messaggioda skuro » 19/09/2005, 22:44

ora, so che potrei diventare noioso, ma ho un problema analogo ad un mio vecchio post. Non mi riesce ad installare una serie di utility (vedi superkaramba, amarok, ....) a causa della loro dipendenza da kdelibs4. il mio sistema offre kdelibs4c2, che ne è un rimpiazzo, ma a quanto pare non è sufficiente per i pacchetti che voglio installare..

- faccio meglio a cercare di forzare le cose (sto già provando ad installare da sorgenti, per alcuni funziona) o devo provare altre soluzioni?

- perchè ho questi problemi? :)

ho provato `apt-get install kdelibs4` ma viene fuori un altro macello di dipendenze irrisolte, tutte condite da vari suffissi -c2 o -c102...

sku
Utente Debian SID Registered Linux User #372086 This post has Super Cow Powers
skuro
Jr. Member
Jr. Member
 
Messaggi: 74
Iscritto il: 12/06/2005, 9:53

Re: kdelibs4 vs kdelibs4c2

Messaggioda MaXeR » 20/09/2005, 0:41

Ciao!
suppongo tu stia usando debian sid...

quel pacchetto si chiama così a causa della transizione di ABI che è stata effettuata ;-)

cerca di usare solo i repository ufficiali Debian, che dovrebbero essere quasi completamente sistemati...

se usi un ibrido etch/sid... hai queste soluzioni:
1) ricompilarti ogni pacchetti che non si installa in modo da correggere la dipendenza...
2) scaricare i pacchetti direttamente da sid
3) aspettare che il tutto arrivi in etch (la vedo un po' lunga...)!

ciauuuu
http://leevee.it - Leevee Soluzioni Informatiche
Avatar utente
MaXeR
Administrator
Administrator
 
Messaggi: 3211
Iscritto il: 22/12/2004, 17:01
Località: Garda - VR

Re: kdelibs4 vs kdelibs4c2

Messaggioda skuro » 23/09/2005, 18:38

avevo provato, ma kxdocker non compila 0_0 faccio un altro po' di tentativi e vi dico

grazie e ciau :ciauz:

sku
Utente Debian SID Registered Linux User #372086 This post has Super Cow Powers
skuro
Jr. Member
Jr. Member
 
Messaggi: 74
Iscritto il: 12/06/2005, 9:53

Re: kdelibs4 vs kdelibs4c2

Messaggioda MaXeR » 23/09/2005, 22:43

so per certo che in etch ci sono dei 'casini' con le kdelibs4-dev (bisogna aspettare l'arrivo delle 3.4.2-2...)...
su sid non ci dovrebbero essere problemi (al massimo consulta tra i bug del pacchetto...magari c'è una patch)!
:ciauz:
http://leevee.it - Leevee Soluzioni Informatiche
Avatar utente
MaXeR
Administrator
Administrator
 
Messaggi: 3211
Iscritto il: 22/12/2004, 17:01
Località: Garda - VR

Re: kdelibs4 vs kdelibs4c2

Messaggioda bberto » 25/09/2005, 9:34

nel passaggio da kdelibs4 a kdelibs4c2 non ho avuto gran problemi di dipendenze... tuttavia, ho bisogno di downgradare alcuni pacchetti (kaffeine, ad esempio) alle versioni stable, o di installare pacchetti che non trovo nelle repositories (ktorrent) ma non posso perché ottengo problemi di dipendenze irrisolte

dpkg: problemi con le dipendenze impediscono la configurazione di ktorrent:
ktorrent dipende da kdelibs4 (>= 4:3.3.2-6.1); comunque:
Il pacchetto kdelibs4 non è installato.
ktorrent dipende da libqt3c102-mt (>= 3:3.3.4); comunque:
Il pacchetto libqt3c102-mt non è installato.
dpkg: errore processando ktorrent (--install):
problemi con le dipendenze - lasciato non configurato

che soluzioni ho? devo per forza compilare i sorgenti?
dato che queste applicazioni funzionano cmq, anche se il dpkg -i da errori, non è possibile far sorvolare apt sulle dipendenze irrisolte?

forse è un po' ot, ma scusate... è il mio primo post qui :ave:

:ciauz:
bberto
 

Re: kdelibs4 vs kdelibs4c2

Messaggioda Ldonesty » 25/09/2005, 10:09

Io ho ricompilato da sorgenti sia ktorrent che apollon... e non ho riscontrato alcun problema.
E' bene comunque non rompere le dipendenze nel database di apt, cosi non si generano problemi dovuti a pacchetti male installati o configurati.
Il reggiseno e' uno strumento democratico perche' separa la destra dalla sinistra, solleva le masse e attira i popoli.
Avatar utente
Ldonesty
Hero Member
Hero Member
 
Messaggi: 618
Iscritto il: 22/12/2004, 17:31
Località: Un po' a Gaeta, un po' a Signa

Re: kdelibs4 vs kdelibs4c2

Messaggioda skuro » 26/09/2005, 21:07

bene, kxdocker ora risulta correttamente instakllato sul mio sistema nel gruppo checkinstall ;)

grazie dei suggerimenti (e speriamo che sta storia si risolva, è troppo "sporco"...)
Utente Debian SID Registered Linux User #372086 This post has Super Cow Powers
skuro
Jr. Member
Jr. Member
 
Messaggi: 74
Iscritto il: 12/06/2005, 9:53


Torna a Apt-get and friends

Chi c’è in linea

Visitano il forum: Nessuno e 3 ospiti